function PeptideComposition = GeneratePeptide(Sequence)
atom_list = {'C', 'H', 'O', 'N', 'S'};
atom_count= zeros(1, 5);
atom_count(2) = 3;
atom_count(3) = 1;
for loop_index=1:length(Sequence)
    [atom_name, atom_number] = AminoReference(Sequence(loop_index));
    for inner_loop_index=1:length(atom_name)
        sel_name = atom_name(inner_loop_index);
        switch char(sel_name)
            case 'C'
                atom_count(1) = atom_count(1) + atom_number(inner_loop_index);
            case 'H'
                atom_count(2) = atom_count(2) + atom_number(inner_loop_index);
            case 'O'
                atom_count(3) = atom_count(3) + atom_number(inner_loop_index);
            case 'N'
                atom_count(4) = atom_count(4) + atom_number(inner_loop_index);
            case 'S'
                atom_count(5) = atom_count(5) + atom_number(inner_loop_index);
            otherwise
                disp('Error input');
        end
    end
end

PeptideComposition='';
% Exclude atoms with zero count
if atom_count(5) == 0
    for loop_index=1:4
        PeptideComposition = [PeptideComposition, char(atom_list(loop_index)), int2str(atom_count(loop_index))];
    end
else
    for loop_index=1:5
        PeptideComposition = [PeptideComposition, char(atom_list(loop_index)), int2str(atom_count(loop_index))];
    end
end