function [ScanIndex, DataPrecision]=GetMZXMLFileInfo(FileID)
%Open mzXML file
mzxml_file=FileID;

fseek(mzxml_file, -200, 'eof');

%use fgetl to get line by line
while 1
    read_line=fgetl(mzxml_file);
    if ~ischar(read_line)
        break;
    end
    match_last_index = findstr(read_line, 'offset');
    if ~isempty(match_last_index)
        separator_index=findstr(read_line, '>');
        id_index = findstr(read_line, 'id=');
        last_index = str2num(read_line(id_index+4:separator_index-2));
    end
    
    matched = findstr(read_line, 'indexOffset');
    if ~isempty(matched)
        break;
    end
end

index_offset=str2num(read_line(matched(1)+length('indexOffset>'):matched(2)-3));

ScanIndex = zeros(1, last_index);
%seek again
fseek(mzxml_file, index_offset, 'bof');

offset_count = 1;

while 1
    read_line=fgetl(mzxml_file);
    if ~ischar(read_line)
        break;
    end
    matched  = findstr(read_line, 'offset');
    if ~isempty(matched)
        separator_one = findstr(read_line, '>');
        separator_two = findstr(read_line, '<');
        ScanIndex(offset_count) = str2num(read_line(separator_one(1)+1:separator_two(2)-1));
        offset_count = offset_count + 1;
    end
end

fseek(mzxml_file, ScanIndex(1), 'bof');
while 1
    read_line = fgetl(mzxml_file);
    if ~ischar(read_line)
        break;
    end
    matched = findstr(read_line, 'precision');
    if ~isempty(matched)
        matched = findstr(read_line, '"');
        DataPrecision = str2num(read_line(matched(1)+1:matched(2)-1));
        break;
    end
end